# include <stdio.h>
# include <stdlib.h>

int main (int argc, char **argv) {

  if (argc != 2) {
    fprintf (stderr, "USAGE: %s (template)\n", argv[0]);
    exit (1);
  }

  if (mkstemp (argv[1]) == -1) exit (1);

  fprintf (stdout, "%s\n", argv[1]);

  exit (0);
}
 
